apt: pkgCache::PkgIterator Class Reference

apt 3.1.16 commandline package manager

Public Types | Public Member Functions | Friends | List of all members
pkgCache::PkgIterator Class Reference
Inheritance diagram for pkgCache::PkgIterator:

## Public Types
enum | OkState { NeedsNothing , NeedsUnpack , NeedsConfigure }
Public Types inherited from pkgCache::Iterator< Package, PkgIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference

## Public Member Functions
Package * | OwnerPointer () const noexcept
| PkgIterator (pkgCache &Owner) noexcept
PkgIterator & | operator++ ()
PkgIterator | operator++ (int)
constexpr const char * | Name () const noexcept
constexpr bool | Purge () const noexcept
constexpr const char * | Arch () const noexcept
constexpr APT_PURE GrpIterator | Group () const noexcept
constexpr VerIterator | VersionList () const noexcept APT_PURE
constexpr VerIterator | CurrentVer () const noexcept APT_PURE
constexpr DepIterator | RevDependsList () const noexcept APT_PURE
constexpr PrvIterator | ProvidesList () const noexcept APT_PURE
OkState | State () const APT_PURE
const char * | CurVersion () const APT_PURE
std::string | FullName (bool const &Pretty=false) const
constexpr | PkgIterator (pkgCache &Owner, Package *Trg) noexcept
Public Member Functions inherited from pkgCache::Iterator< Package, PkgIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const PkgIterator &B) const noexcept
constexpr bool | operator!= (const PkgIterator &B) const noexcept
constexpr Package * | operator-> () noexcept
constexpr | operator Package * () noexcept
constexpr | operator Package const * () const noexcept
constexpr Package & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< Package > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Friends
std::ostream & | operator<< (std::ostream &out, pkgCache::PkgIterator Pkg)

## Additional Inherited Members
Protected Attributes inherited from pkgCache::Iterator< Package, PkgIterator >
Package * | S
pkgCache * | Owner

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc